/* color palette from <https://github.com/vuejs/theme> */
:root {
  --vt-c-text: #cad3f5;
  --vt-c-subtext-1: #b8c0e0;
  --vt-c-subtext-0: #a5adcb;

  --vt-c-overlay-2: #939ab7;
  --vt-c-overlay-1: #8087a2;
  --vt-c-overlay-0: #6e738d;

  --vt-c-surface-2: #5b6978;
  --vt-c-surface-1: #494d64;
  --vt-c-surface-0: #363a4f;

  --vt-c-base: #24273a;
  --vt-c-mantle: #1e2030;
  --vt-c-crust: #181926;

  --vt-c-rosewater: #f4dbd6;
  --vt-c-flamingo: #f0c6c9;
  --vt-c-pink: #f5bde6;
  --vt-c-mauve: #c6a0f6;
  --vt-c-red: #ed8796;
  --vt-c-maroon: #ee99a0;
  --vt-c-peach: #f5a97f;
  --vt-c-yellow: #eed49f;
  --vt-c-green: #a6da95;
  --vt-c-teal: #8bd5ca;
  --vt-c-sky: #91d7e3;
  --vt-c-sapphire: #7dc4e4;
  --vt-c-blue: #8aadf4;
  --vt-c-lavender: #b7bdf8;
}

/* semantic color variables for this project */
:root {
  --color-background: var(--vt-c-surface-0);
  --color-background-soft: var(--vt-c-surface-1);
  --color-background-mute: var(--vt-c-surface-2);

  --color-border: var(--vt-c-subtext-1);
  --color-border-hover: var(--vt-c-subtext-0);

  --color-heading: var(--vt-c-subtext-1);
  --color-text: var(--vt-c-text);

  --section-gap: 160px;
}

@media (prefers-color-scheme: dark) {
  :root {
    --color-background: var(--vt-c-surface-0);
    --color-background-soft: var(--vt-c-surface-1);
    --color-background-mute: var(--vt-c-surface-2);

    --color-border: var(--vt-c-divider-dark-2);
    --color-border-hover: var(--vt-c-divider-dark-1);

    --color-heading: var(--vt-c-text-dark-1);
    --color-text: var(--vt-c-text-dark-2);
  }
}

*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  position: relative;
  font-weight: normal;
}

body {
  height: 100vh;
  width: 100vw;
  color: var(--color-text);
  background: var(--vt-c-surface-0);
  transition: color 0.5s, background-color 0.5s;
  line-height: 1.6;
  font-family: Inter, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu,
    Cantarell, 'Fira Sans', 'Droid Sans', 'Helvetica Neue', sans-serif;
  font-size: 15px;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

button {
    border: 0px;
    border-radius: 5px;
    padding: 0.5rem 1rem;
    color: var(--vt-c-base);
    background-color: var(--vt-c-green);
    cursor: pointer;
    transition: background-color 0.2s;
}

button:hover {
    background-color: var(--vt-c-peach);
}

form {
    gap: 1rem;
}

input {
    padding: 0.5rem 1rem;
    border-radius: 10px;
}

label {
    font-size: 16px;
    font-weight: bold;
}
